# ITS-Bridge

## General Information

These repositories contains ITS-BRidge tool developped for ETSI ITS Remote Testlab.
This tool include Makefiles to generate OpenWrt package.

Contact information
Email at cti_support at etsi dot org

License
Unless specified otherwise, the content of this repository and the files contained are released under the ETSI Software License.
See the attached LICENSE file or visit
https://forge.etsi.org/etsi-software-license

## STFs

The following STFs were or are currently involved in the evolutions of the ETSI ITS protocols project:
- STF 405, STF 422, STF 424, STF 455, STF 462, STF 481, STF 484, STF 507, STF 517, STF 525, STF 538, STF 545, TTF T0002


## Compilation

### Deployment with OpenWrt (e.g. Gl.iNet device)
- Step 1: Update your system
```
apt-get update -y && apt-get upgrade -y
apt-get install asciidoc bash bc binutils bzip2 fastjar flex gawk gcc genisoimage gettext git intltool jikespg libgtk2.0-dev libncurses5-dev libssl1.0-dev make mercurial patch perl-modules-5.26 python2.7-dev rsync ruby sdcc subversion unzip util-linux wget xsltproc zlib1g-dev zlib1g-dev time -y
```

- Step 2: Download the Gl.iNet SDK (see https://github.com/gl-inet/sdk)
```
git clone https://github.com/gl-inet/sdk.git gl_sdk
cd ./gl_sdk
```

- Step 3: List all available targets. We will use mt300n-v2 (target: ramips-1806) for the Gl.iNet mt300n-v2 Mango
```
./download.sh
./download.sh ramips-1806
```

- Step 4 (optional): Build the SDK for the Gl.iNet Mango
```
./builder.sh -t ramips-1806 -d ./sdk/1806/ramips
```

- Step 5: Clone the ETSI ITS-bridge OpenWrt package
```
cd ./sdk/1806/ramips
git clone https://forge.etsi.org/rep/plugtests/its-plugtests/its-bridge.git package/its-bridge
./scripts/feeds install libpcap libmicrohttpd
```

- Step 6: Build the its_bridge package
```
make package/its_bridge/compile V=s
```

- Step 7: Install the package on the Gl.iNet mt300n-v2 Mango device
-- Step 1: Copy the package to the device using SSH access
```
scp ./bin/packages/mipsel_24kc/base/its_bridge_0.0.1-1_mipsel_24kc.ipk root@192.168.8.1:/root
```
-- Step 2: Execute the following commands to install the package
```
ssh root@192.168.8.1
opkg install its_bridge_0.0.1-1_mipsel_24kc.ipk
```

### Deployment on Linux box device (e.g. NanoPI R2S)
See script/install.sh for a complete installation:
```
cd scripts
sudo HOME_BIN=$HOME_BIN HOME_LIB=$HOME_LIB HOME_INC=$HOME_INC ./install.sh fscom yann.garcia@fscom.fr 123456
```


## How to Report a Bug

The ETSI ITS protocols project is under constant development, so it is possible that you will
encounter a bug while using it. Please report bugs at cti_support at etsi dot org.
